@import url("https://fonts.cdnfonts.com/css/adam");
@import url("https://fonts.googleapis.com/css2?family=Nunito&display=swap");

::root {
  --bg-color: #07182d;
  --title-color: #89a7bb;
}
.bordermix {
  border: 1px solid #000;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
body {
  /*background: #07182d; */
}
nav {
  padding-top: 50px !important;
  padding-left: 50px;
  font-size: 1.3rem;
  height: 100px;
  transition: all 1s ease;
}
.navbar-dark .navbar-toggler {
  border: none;
}
.navbar-nav .dropdown-menu {
  position: static !important;
  background: transparent;
}
.navbar-nav .dropdown-menu a.dropdown-item {
  color: white;
}
nav #lateral {
  display: none;
  opacity: 0;
}
nav #lateral.show {
  display: block;
  opacity: 1;
}
nav #superior {
  display: none;
  opacity: 0;
}
nav #superior.show {
  display: block;
  opacity: 1;
}
nav .dropdown-menu {
  background: #89a7bb;
}
.navbar-brand > img {
  height: 15rem;
  width: auto;
  transform: translateY(3.2rem);
}
#offcanvasNavbar {
  background: #89a7bb;
  padding-left: 2rem;
}
#offcanvasNavbar > div > ul > li a {
  font-size: 2.5rem;
  color: rgba(255, 255, 255, 0.55);
}
#offcanvasNavbar > div > ul > li {
  padding-top: 1.2rem;
  padding-bottom: 1.2rem;
}
#offcanvasNavbar > div > ul > li:not(:last-child) {
  border-bottom: 1px solid white !important;
}
#offcanvasNavbar > div > ul > li > a:hover {
  color: black !important;
}

#navbrand,
#logo-porto,
#title-grow,
#logo-grow,
#title-attr,
#img-attr,
#attr-1,
#attr-2,
#attr-3,
#attr-4,
#attr-5,
#lido-title,
#lido-m,
#lido-img1,
#lido-subtitle1,
#lido-img2,
#lido-subtitle2,
#lido-plantas,
#lido-p1,
#lido-p1-txt,
#lido-p2,
#lido-p2-txt,
#lido-p3,
#lido-p3-txt,
#murano-title,
#murano-m,
#murano-img1,
#murano-subtitle1,
#murano-img2,
#murano-subtitle2,
#murano-plantas,
#murano-p1,
#murano-p1-txt,
#murano-p2,
#murano-p2-txt,
#murano-p3,
#murano-p3-txt,
#club-portada,
#club-title,
#club-txt,
#club-attr1,
#club-attr2,
#club-attr3,
#club-attr4,
#club-attr5,
#ubi-title,
#ubi-txt1,
#ubi-txt2,
#ubi-txt3,
#address,
#ubi-img,
#cont-portada,
#cont-form,
#cont-txt {
  opacity: 0;
}
#ubi-txt1,
#ubi-txt2 {
  margin-bottom: 0;
}
section {
  height: 100vh;
  padding-top: 75px;
  padding-bottom: 75px;
  position: relative;
}
#lido {
  height: auto;
}
#murano {
  height: auto;
}
.titulo-1 {
  font-size: 6.5rem;
}
.titulo-2 {
  font-size: 5rem;
}
.blue-text {
  color: #89a7bb;
}
.subtitulo-1 {
  font-size: 1.6rem;
}
.subtitulo-2 {
  font-size: 1.3rem;
}
.font-adam {
  font-family: "adam", sans-serif;
}
.font-nunito {
  font-family: "nunito", helvetica, sans-serif;
}
.todos-flotan {
  height: 60px;
  width: 60px;
  border-radius: 50%;
  border: 3px solid white;
  background: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  right: 50px;
  bottom: 50px;
  z-index: 999;
  transition: all 1s ease;
}
.todos-flotan > a {
  color: white;
  width: 100%;
  height: 100%;
  text-align: center;
  font-size: 2rem;
}
#portada {
  background: url("../img/portada.png");
}
#portada,
#club > div.row,
#contacto > div.row {
  background-repeat: no-repeat;
  object-fit: cover;
  object-position: center;
  background-position: 50% 50% !important;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;

  color: white;
}

#portada > .bottom-container {
  position: absolute;
  width: 100%;
  bottom: 0;
  display: flex;
  align-items: flex-end;
}
#portada > .bottom-container > img,
#portada > .bottom-container > div {
  display: inline-block;
}
#portada > .bottom-container > img {
  height: 10rem;
  width: auto;
  margin-bottom: 2.6rem;
  margin-left: 1rem;
}
#portada > .bottom-container > div {
  border-top: 2px solid white;
  width: auto;
  height: 5rem;
  flex: 1 auto;
}

#desarrollo > div,
#desarrollo > div > div {
  height: 100%;
}

#desarrollo > div > div > div:nth-child(3) > img {
  width: 13rem;
  height: auto;
}
#attr {
  display: flex;
  align-items: center;
}
#attr > div > div > div:nth-child(1) {
  margin-bottom: 2rem;
}
#attr > div > div > div:nth-child(1) > p {
  line-height: 6rem;
}
#attr > div > div > div:nth-child(2) {
  position: relative;
}
#attr > div > div > div:nth-child(2) > img {
  width: 85%;
  height: auto;
  position: relative;
  z-index: 2;
  left: 50%;
  right: 50%;
  bottom: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
#attr > div > div > div:nth-child(2) > div.square-attr {
  width: 82%;
  height: 100%;
  background: #89a7bb;
  position: absolute;
  z-index: 1;
  right: 50%;
  top: 50%;
  bottom: 50%;
  left: 50%;
  transform: translate(-40%, -60%);
}
.attr-container {
}
#attr > div.attr-container > div > div > div > div:not(:last-child) {
  margin-right: 4rem;
}
#attr > div.attr-container > div > div > div > div > img {
  height: 80px;
  width: auto;
}

#murano
  > div[class^="container"]
  > div.row
  > div[class^="col"]
  > div[class^="container"] {
  padding: 0;
}
#murano
  > div[class^="container"]
  > div.row
  > div[class^="col"]
  > div[class^="container"]
  > div.row
  > div[class^="col"]:nth-child(1) {
  padding-right: 0;
}
#murano
  > div[class^="container"]
  > div.row
  > div[class^="col"]
  > div[class^="container"]
  > div.row
  > div[class^="col"]:nth-child(2) {
  padding-left: 0;
}
#lido > div > div > div:nth-child(3),
#murano > div > div > div:nth-child(3) {
  margin-bottom: 7rem;
}
#lido > div > div > div[class^="col"]:nth-child(1) > p,
#lido > div > div > div[class^="col"]:nth-child(2) > p,
#murano > div > div > div[class^="col"]:nth-child(1) > p,
#murano > div > div > div[class^="col"]:nth-child(2) > p {
  margin-bottom: 0;
}
#lido > div > div > div[class^="col"]:nth-child(1) > p,
#murano > div > div > div[class^="col"]:nth-child(1) > p {
  line-height: 6rem;
}

#lido img,
#murano img {
  width: 85%;
  height: auto;
  margin-left: auto;
  display: block;
}
#lido
  > div[class^="container"]
  > div.row
  > div[class^="col"]
  > div[class^="container"] {
  padding: 0;
}
#lido
  > div[class^="container"]
  > div.row
  > div[class^="col"]
  > div[class^="container"]
  > div.row
  > div[class^="col"]:nth-child(1) {
  padding-right: 0;
}
#lido
  > div[class^="container"]
  > div.row
  > div[class^="col"]
  > div[class^="container"]
  > div.row
  > div[class^="col"]:nth-child(2) {
  padding-left: 0;
}

#club {
  padding-top: 0;
}
#club > div.row {
  margin: 0;
}
#club > div.row > div[class^="col"] {
  padding: 0;
}
#club > div.row,
#club > div.row > div[class^="col"] {
  width: 100%;
  height: 33em;
}
#club > div.row {
  background: url("../img/portada-club.png");
}

#club > div.container > div > div > div > div > img {
  height: 100px;
  width: auto;
}
.club-attr-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
div.club-attr-container > div.club-attr {
  width: calc(100% / 5);
  display: flex;
  align-items: center;
}
div.club-attr-container > div.club-attr > p {
  margin-bottom: 0;
  line-height: 1.5rem;
  transform: translateX(-15px);
}
#club > div[class^="container"] {
  height: 50%;
  display: flex;
  align-items: center;
}

#ubicacion {
  display: flex;
  align-items: center;
  justify-content: center;
}
#ubicacion > div > div > div[class^="col"]:nth-child(1) > p:nth-child(1) {
  line-height: 5rem;
}
#ubicacion
  > div
  > div
  > div.offset-sm-0.offset-md-1.offset-lg-0.col-10.col-md-10.col-xl-7.col-xxl-7
  > p.titulo-2.font-adam.blue-text {
  line-height: 5rem;
}
#ubicacion > div > div > div[class^="col"]:nth-child(2) {
  position: relative;
}
#club-map {
  width: 20rem;
  height: auto;
  position: absolute;
  right: 50%;
  left: 50%;
  bottom: 50%;
  top: 50%;
  z-index: 2;
  transform: translate(-50%, -50%);
}
#club-map-bg {
  width: 20rem;
  height: 20rem;
  position: absolute;
  left: 50%;
  top: 50%;
  right: 50%;
  bottom: 50%;
  background: #89a7bb;
  z-index: 1;
  transform: translate(-40%, -60%);
}
#ubicacion > div > div.row > div[class^="col"] > div {
  display: flex;
}
#ubicacion > div > div.row > div[class^="col"] > div > div.icon {
  width: fit-content;
  flex: 0 0 auto;
}
#ubicacion > div > div.row > div[class^="col"] > div > div.right-text {
  width: auto;
  flex: 0 0 auto;
  margin-left: 2rem;
}
#address {
  display: flex;
}
#address > .right-text {
  margin-left: 1rem;
}
#contacto {
  padding-top: 0;
}
#contacto > div.row {
  background: url("../img/portada-contacto.png");
  height: 50ch;
}
#contacto input[type="text"]::placeholder {
  color: black;
}
#contacto input[type="text"] {
  width: 100%;
  padding: 0.5rem;
  border-radius: 25px;
  background: transparent;
  color: black;
  border: 2px solid gray;
  margin-bottom: 1.5rem;
}
#enviar {
  text-decoration: none;
  color: white;
  padding-top: 0.8rem;
  padding-bottom: 0.8rem;
  padding-left: 2rem;
  padding-right: 2rem;
  font-size: 1.2rem;
  background: #89a7bb;
  border-radius: 25px;
  cursor: pointer;
}
#contacto > div[class^="container"] {
  height: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
#contacto > div[class^="container"] > div > div:nth-child(2) {
  display: flex;
  flex-wrap: wrap;
  flex-flow: column-reverse;
}
#contacto > div.container > div > div:nth-child(2) > b,
#contacto > div.container > div > div:nth-child(2) > p {
  flex: 0 0 auto;
  width: 100%;
  margin-bottom: 0;
}
#contacto > div.row,
#contacto > div.row > div[class^="col"],
#contacto > div.row > div[class^="col"] > img {
  width: 100%;
}
.social-icon {
  margin-bottom: 1rem;
}
.social-icon > a > img {
  height: 40px;
  width: auto;
  margin-right: 2rem;
}
#contacto > div[class^="container"] > div.row > div[class*="col"]:nth-child(1) {
  position: relative;
}
.loading-mail {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  align-items: center;
  background: rgba(0, 0, 0, 0.5);
  border-radius: 10px;
  justify-content: center;
  display: none;
  opacity: 0;
  transition: display 0.5s ease, opacity 1s ease;
}
.loading-mail.show {
  display: flex;
  opacity: 1;
}
.social-icon > a {
  text-decoration: none;
}

@media screen and (max-width: 1400px) {
  .titulo-1 {
    font-size: 5rem;
  }
  .titulo-2 {
    font-size: 4.5rem;
  }
  .club-attr-container {
    justify-content: center;
  }
  div.club-attr-container > div.club-attr {
    width: calc(100% / 3);
  }
  #club {
    height: auto;
  }
  #club > div.row {
    margin-bottom: 2rem;
  }
}
@media screen and (max-width: 1200px) {
  section:not(#portada) {
    height: auto;
  }
  #offcanvasNavbar > div > ul > li a {
    font-size: 1.5rem;
  }
  .titulo-1 {
    font-size: 4.5rem;
  }
  .titulo-2 {
    font-size: 4rem;
  }
  #ubicacion > div > div > div[class^="col"]:nth-child(2) {
    height: 24rem;
  }
  #attr {
    height: auto;
  }
  #attr > div > div > div:nth-child(2) {
    margin-bottom: 2rem;
  }
  #attr > div > div > div:nth-child(1) > p {
    font-size: 4.5rem;
    text-align: center;
    line-height: 4.3rem;
  }
  #attr > div > div > div:nth-child(2) > img {
    width: 60%;
  }
  #attr > div > div > div:nth-child(2) > div.square-attr {
    width: 58%;
  }

  #murano
    > div
    > div
    > div.col-sm-6.col-md-8.col-xl-8.col-xxl-8.font-adam.titulo-1.blue-text {
    padding-right: 0;
  }
  #contacto > div.container > div > div[class^="col"]:nth-child(1) {
    margin-bottom: 4rem;
  }
}
@media screen and (max-width: 992px) {
  section {
    padding-top: 50px;
    padding-bottom: 50px;
  }
  #title-grow {
    font-size: 2.8rem;
  }
  .titulo-1 {
    font-size: 3rem;
    line-height: 3rem;
  }
  .titulo-2 {
    font-size: 2.5rem;
  }
  .titulo-2 > * {
    line-height: 3rem;
  }
  .subtitulo-1 {
    font-size: 1.3rem;
  }
  #desarrollo {
    height: auto;
  }
  #desarrollo > div[class^="container"] > div.row {
    align-content: center;
  }
  #desarrollo
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(1) {
    padding-bottom: 3rem;
  }
  #desarrollo > div[class^="container"] > div.row > div[class^="col"] {
    height: fit-content;
  }
  #attr {
    height: auto;
  }
  #attr > div[class^="container"] > div.row > div[class^="col"]:nth-child(3) {
    padding-top: 3rem;
  }
  #attr > div[classs^="container"] > div.row > div[class^="col"]:nth-child(1) {
    font-size: 5rem;
  }
  #attr
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(1)
    > p {
    text-align: center;
    padding-bottom: 3rem;
    line-height: 4rem;
  }
  #attr > div > div > div:nth-child(1) > p {
    font-size: 2.7rem;
  }
  #murano > div[class^="container"] > div.row > div[class^="col"]:nth-child(1) {
    padding-left: 0;
    padding-right: 0;
  }
  #lido
    > div
    > div
    > div.col-sm-6.col-md-7.col-xl-8.col-xxl-8.font-adam.titulo-1.blue-text
    > p,
  #murano
    > div
    > div
    > div.col-sm-6.col-md-7.col-xl-8.col-xxl-8.font-adam.titulo-1.blue-text
    > p {
    line-height: 3rem;
    margin-bottom: 2rem;
  }
  #club {
    height: auto;
  }
  #club > div.container > div.row {
    width: 100%;
  }
  #club > div.container > div.row > div[class^="col"] {
    text-align: justify;
  }
  #club
    > div.container
    > div.row
    > div[class*="col"]:nth-child(1)
    > p:nth-child(1) {
    margin-top: 3rem;
  }
  #club
    > div.container
    > div
    > div.col-10.col-md-12.col-lg-12.col-xl-12.col-xxl-12 {
    margin-bottom: 3rem;
  }
  .club-attr-container {
    justify-content: center;
  }
  div.club-attr-container > div.club-attr {
    width: calc(100% / 3);
  }
  #club > div.container > div > div > div > div > img {
    height: 80px;
  }
  #ubicacion {
    height: auto;
  }
  #ubicacion
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(1)
    > div
    > div.icon,
  #ubicacion
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(1)
    > div
    > div.right-text {
    display: inline-block;
  }

  #ubicacion > div[class^="container"] > div.row > div:nth-child(1) > p {
    text-align: center;
  }
  #ubicacion
    > div
    > div
    > div.offset-sm-0.offset-md-1.offset-lg-0.col-10.col-md-10.col-xl-7.col-xxl-7
    > p.titulo-2.font-adam.blue-text {
    line-height: 3rem;
  }

  #contacto {
    height: auto;
  }

  #club-map {
    width: 300px;
    height: 300px;
  }
  #club-map-bg {
    width: 300px;
    height: 300px;
  }
  #ubicacion > div > div > div:nth-child(2) {
    height: 360px;
  }

  #contacto > div.container > div > div:nth-child(1),
  #contacto > div.container > div > div:nth-child(2) {
    margin-top: 3rem;
  }
}
@media screen and (max-width: 768px) {
  #portada > .bottom-container > img {
    height: 6rem;
  }
  #desarrollo > div > div > div:nth-child(3) > img {
    height: 8rem;
  }
  div.club-attr-container > div.club-attr {
    flex-flow: column;
    text-align: center;
  }
  #murano
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(2)
    > p,
  #lido
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(2)
    > p {
    margin-bottom: 0;
  }
  #lido
    > div[class^="container"]
    > div.row
    > div[class^="col"]
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(2)
    > ul:not(:last-child) {
    margin-bottom: 4rem;
  }

  #ubicacion > div > div > div:first-child > p:first-child {
    line-height: 3rem;
  }
  #address {
    display: flex;
    justify-content: center;
  }
  #address .right-text {
    line-height: 1.5em;
    margin-left: 1rem;
  }
  #address i {
    font-size: 2.2rem;
  }
}
@media screen and (max-width: 576px) {
  .titulo-1 {
    font-size: 3.4rem;
  }
  .titulo-2 {
    font-size: 2rem;
  }
  .subtitulo-1 {
    font-size: 1.5rem;
  }
  .subtitulo-2 {
    font-size: 1.2rem;
  }
  nav {
    padding-top: 0 !important;
    padding-left: 0;
  }

  #offcanvasNavbar > div > ul > li {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
  }
  #offcanvasNavbar > div > ul > li a {
    font-size: 1.5rem;
  }
  .offcanvas-start {
    width: 280px;
  }
  .todos-flotan {
    width: 45px;
    height: 45px;
    right: 25px;
  }
  .todos-flotan > a {
    font-size: 1.5rem;
  }

  div.club-attr-container > div.club-attr {
    width: calc(100% / 3);
    flex-flow: column;
    text-align: center;
  }
  #portada {
    background-position: 39% 50% !important;
  }
  #portada > .bottom-container > img {
    height: 5.5rem;
  }
  #desarrollo
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(1) {
    padding-bottom: 1rem;
  }
  #desarrollo img {
    width: 5rem !important;
  }

  #lido > div > div > div[class^="col"]:nth-child(1) > p,
  #murano > div > div > div[class^="col"]:nth-child(1) > p {
    line-height: 3rem;
  }

  #murano
    > div
    > div
    > div.col-10.col-md-7.col-xl-8.col-xxl-8.font-adam.titulo-1.blue-text
    > p {
    line-height: 2.2rem;
  }

  #murano
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(2)
    p,
  #lido > div[class^="container"] > div.row > div[class^="col"]:nth-child(2) p {
    margin-bottom: 0;
  }
  #lido > div > div > div:nth-child(n + 6) > div > div > div[class^="col"],
  #murano > div > div > div:nth-child(n + 6) > div > div > div[class^="col"] {
    margin-bottom: 2rem;
  }
  #murano > div > div > div:nth-child(3),
  #murano > div > div > div:nth-child(3),
  #lido > div > div > div:nth-child(3),
  #murano > div > div > div:nth-child(3) {
    margin-bottom: 3rem;
  }
  #murano > div[class^="container"] > div.row > div[class^="col"]:nth-child(1) {
    padding-left: calc(var(--bs-gutter-x) * 0.5);
  }
  #attr > div > div > div:nth-child(2) > div.square-attr {
    width: 55%;
  }
  #attr
    > div[class^="container"]
    > div.row
    > div[class^="col"]:nth-child(1)
    > p {
    line-height: 2rem;
    padding-bottom: 0;
    margin-bottom: 0;
    font-size: 1.7rem;
  }

  #club > div.row {
    height: 15rem;
    background-position: 25% 50% !important;
  }

  #ubicacion
    > div
    > div
    > div.offset-sm-0.offset-md-1.offset-lg-0.col-10.col-md-10.col-xl-7.col-xxl-7
    > p.titulo-2.font-adam.blue-text {
    line-height: 2.2rem;
  }
  #club-map {
    width: 70%;
    height: auto;
  }
  #club-map-bg {
    width: 70%;
    height: 51%;
  }
  #address {
    display: flex;
    justify-content: center;
  }
  #address .right-text {
    line-height: 1rem;
    margin-left: 1rem;
  }
  #address i {
    font-size: 2rem;
  }
  #contacto > div.row {
    background: url("../img/portada-contacto.png");
    height: 15em;
    background-size: cover;
  }
  .social-icon {
    display: flex;
  }
  #enviar {
    width: 100% !important;
    display: block;
    text-align: center;
  }
  .bordermix {
    border: 1px solid #000;
  }
}
